package com.example.sjkbf.service;

import com.example.sjkbf.entity.DTO.LoginRequest;
import com.example.sjkbf.entity.User;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  用户 服务类
 * </p>
 *
 * @author bozhiqiang
 * @since 2025-04-15
 */
public interface UserService extends IService<User> {
    public boolean isUsernameExist(String username);

    public void registerUser(LoginRequest request);

    String buy(String ip, String projectName, String userName);

    void updatePassword(LoginRequest request);

    String addServer(String ip, String userName, String account, String password, String port);

    String deleteServer(String ip, String userName);

    String setKey(String userName, String clientkey, String serverkey);

    String addgold(String userName, Integer gold);

    String transfer(String myName, String username, Integer gold);
}
